%define major		15
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%define url_ver		%(echo %{version}|sed -e 's/\\.//g')

Name:		dcmtk
Version:	3.6.5
%define subrel	1
Release:	%mkrel 3
Summary:	DICOM Toolkit libraries and applications
Group:		System/Libraries
License:	BSD and MIT
URL:		https://dicom.offis.de/dcmtk.php.en
Source0:	ftp://dicom.offis.de/pub/dicom/offis/software/dcmtk/dcmtk%{url_ver}/%{name}-%{version}.tar.gz
# From opensuse avoid file conflict with CharLS-devel
Patch1:		0001-Link-charls-statically.patch
# Upstream fixes
# https://github.com/DCMTK/dcmtk/commit/a9697dfeb672b0b9412c00c7d36d801e27ec85cb
Patch19:	0019-CVE-2021-41687-CVE-2021-41688-CVE-2021-41690-Fixed-poss.-NULL-pointer-dereference-double-free.patch
# https://github.com/DCMTK/dcmtk/commit/5c14bf53fb42ceca12bbcc0016e8704b1580920d
Patch20:	0020-CVE-2021-41689-Fixed-possible-NULL-pointer-dereference.patch
# https://github.com/DCMTK/dcmtk/commit/3e996a2749a9355c9b680fa464ecfd9ab9ff567f
Patch21:	0021-CVE-2022-2119-CVE-2022-2120-CVE-2022-2121-Fixed-possible-NULL-pointer-dereference.patch
# https://github.com/DCMTK/dcmtk/commit/c34f4e46e672ad21accf04da0dc085e43be6f5e1
Patch22:	0022-CVE-2022-43272-Fixed-memory-leak-in-single-process-mode.patch
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	charls-devel
BuildRequires:	wrap-devel
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(zlib)

%description
DCMTK is a collection of libraries and applications implementing large parts
the DICOM standard. It includes software for examining, constructing
and converting DICOM image files, handling offline media, sending and receiving
images over a network connection, as well as demonstrative image storage
and worklist servers. DCMTK is is written in a mixture of ANSI C and C++.
It comes in complete source code and is made available as "open source"
software.

DCMTK has been used at numerous DICOM demonstrations to provide central,
vendor-independent image storage and worklist servers (CTNs - Central Test
Nodes). It is used by hospitals and companies all over the world for a wide
variety of purposes ranging from being a tool for product testing to being
a building block for research projects, prototypes and commercial products.

%package -n	%{libname}
Summary:	DICOM Toolkit libraries
Group:		System/Libraries

%description -n	%{libname}
DCMTK is a collection of libraries and applications implementing large parts
the DICOM standard. It includes software for examining, constructing
and converting DICOM image files, handling offline media, sending and receiving
images over a network connection, as well as demonstrative image storage
and worklist servers. DCMTK is is written in a mixture of ANSI C and C++.
It comes in complete source code and is made available as "open source"
software.

This package contains shared libraries.

%package -n	%{develname}
Summary:	DICOM Toolkit libraries development files
Group:		Development/C
Requires:	%{name} = %{version}
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
DCMTK is a collection of libraries and applications implementing large parts
the DICOM standard. It includes software for examining, constructing
and converting DICOM image files, handling offline media, sending and receiving
images over a network connection, as well as demonstrative image storage
and worklist servers. DCMTK is is written in a mixture of ANSI C and C++.
It comes in complete source code and is made available as "open source"
software.

This package contains files required for development only.

%prep
%autosetup -p1

%build
%cmake \
	-DDCMTK_INSTALL_CMKDIR=%{_libdir}/cmake/%{name} \
	-DDCMTK_WITH_XML=ON \
	-DDCMTK_WITH_OPENSSL=ON \
	-DDCMTK_WITH_SNDFILE=ON \
	-DDCMTK_WITH_ZLIB=ON

%cmake_build

%install
%cmake_install

# Remove zero-length file (fix rpmlint warning)
rm -f %{buildroot}%{_datadir}/%{name}/wlistdb/OFFIS/lockfile

%files
%doc %{_defaultdocdir}/%{name}/
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*.cfg
%{_bindir}/*
%{_datadir}/%{name}/
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/*.so
%{_libdir}/cmake/%{name}/


%changelog
* Tue Mar 07 2023 daviddavid <daviddavid> 3.6.5-3.1.mga8
+ Revision: 1948203
- backports upstream patches to fix several security issues (mga#30790)
  * CVE-2021-4168[7-9], CVE-2021-41690, CVE-2022-2119, CVE-2022-212[01] and CVE-2022-43272

* Tue Oct 27 2020 daviddavid <daviddavid> 3.6.5-3.mga8
+ Revision: 1639767
- add opensuse patch to avoid file conflict between dcmtk and charls

* Mon Feb 17 2020 umeabot <umeabot> 3.6.5-2.mga8
+ Revision: 1537403
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Thu Oct 31 2019 daviddavid <daviddavid> 3.6.5-1.mga8
+ Revision: 1457066
- new version: 3.6.5
- now libmajor is 15

* Sun Jan 06 2019 daviddavid <daviddavid> 3.6.4-1.mga7
+ Revision: 1350026
- new version: 3.6.4

* Sun Sep 23 2018 umeabot <umeabot> 3.6.3-2.mga7
+ Revision: 1297418
- Mageia 7 Mass Rebuild

* Tue May 01 2018 daviddavid <daviddavid> 3.6.3-1.mga7
+ Revision: 1224118
- new version: 3.6.3
- libify pkg as it should
+ dmorgan <dmorgan>
- Fix cmake and Buildrequires
- Fix build in x86_64
+ gil <gil>
- used pkgconfig
- imported package dcmtk


* Wed Jul 13 2011 gil <gil> 3.6.0-0.%%mkrel
- initial rpm
